extends Node2D

var tileSet = preload("res://main_tileset.tres")
onready var Ant = preload("res://ant.tscn")

# Declare member variables here. Examples:
# var a = 2
# var b = "text"


# Called when the node enters the scene tree for the first time.
func _ready():
	randomize()
	for i in .get_node("TileMap").get_used_cells_by_id(tileSet.find_tile_by_name("hill")):
		for y in range(0,0):
			var ant = Ant.instance()
			ant.position = .get_node("TileMap").map_to_world(i)
			ant.vel = Vector2.UP.rotated(randi() % 360)
			add_child(ant)


# Called every frame. 'delta' is the elapsed time since the previous frame.
#func _process(delta):
#	pass
